GET /suno/lyrics/
Method: GETEndpoint: /suno/lyrics/{task_id}
Request Parameters
Path Parameters
text
task_id
string
RequiredHeader Parameters
text
accept
string
Optional
Example:
*/*
content-type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Example Request
Shell
bash
curl --location --request GET '/suno/lyrics/' \
--header 'accept: */*' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'content-type: application/json'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{
"error_message": "",
"status": "complete",
"tags": [
"swing",
"dance pop",
"playful",
"light",
"soft",
"dance"
],
"text": "[Verse]\nMove your paws\nLeft and right\nJump around\nFeel the light\n\nWhiskers twitch\nTails in the air\nDancing cats\nEverywhere\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon’t say no (don’t say no!)\n\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow\n\n[Verse 2]\nTiptoe steps\nSoft and sweet\nTiny paws\nUnbeatable beat\n\nMeow to the rhythm\nClaws precise\nEvery move\nFeline paradise",
"title": "Cat Dance"
}